Docs
Get an API key

GLM 5.3 Flash glm-5.3-flash

Z.ai's natively multimodal MoE for fast, low-cost coding and agentic work over a 1M-token context.

From the live catalog
View .md
Input
$0.10 / 1M tokens
Output
$0.35 / 1M tokens
Context
1M tokens
Max output
1M tokens
region SEA quantization nvfp4 reasoning Hugging Face RedHatAI/GLM-5.3-Flash-NVFP4

Inputs

InputAccepts
text
context 1M tokens
image
sources url, base64
formats png, jpeg, webp, gif
file
sources url, base64
formats application/pdf, text/plain, text/markdown, text/html, text/csv, application/json
max size 100 MB
video
sources url, base64
formats mp4, webm

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
temperaturenumber0–2
top_pnumber0–1
frequency_penaltynumber-2–2
presence_penaltynumber-2–2
max_tokensinteger1–1048576 tokens
stoparrayup to 4 items
seedinteger
continue_final_messageboolean
top_kintegerat least 0
repetition_penaltynumber0–2
nintegerat least 1
logprobsboolean
top_logprobsinteger0–20
response_formatobjecttype: text, json_object, json_schema
structured_outputsboolean
reasoning_effortstringultra, max, xhigh, high, medium, low, minimal
reasoningobject
toolsboolean

Endpoints

A request

curl https://api.vultrinference.com/v1/chat/completions \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "glm-5.3-flash",
    "messages": [
      {
        "role": "system",
        "content": "Answer in one sentence."
      },
      {
        "role": "user",
        "content": "Why is the sky blue?"
      }
    ],
    "max_completion_tokens": 512
  }'